MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001278XdebugUsage problems (Wrong Results)public2016-03-02 16:182016-12-17 19:19
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.0rc4 
Target Version2.5.1Fixed in Version2.5.1 
Summary0001278: Xdebug with PHP 7 does not handle prefill-from-oparray for XDEBUG_CC_UNUSED
DescriptionWhen running code coverage from the attached reproduce case, the file does not get scanned for lines with code on them. This works with PHP 5.6.
TagsNo tags attached.
Operating System
PHP Version7.0.0-7.0.4
Attached Filesgz file icon xdeb.tar.gz [^] (1,296 bytes) 2016-03-02 16:18

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-03-02 16:18 derick New Issue
2016-03-02 16:18 derick Status new => assigned
2016-03-02 16:18 derick Assigned To => derick
2016-03-02 16:18 derick File Added: xdeb.tar.gz
2016-03-03 08:54 derick Target Version 2.4.0 => 2.4.1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2016-08-01 21:29 derick Target Version 2.4.1 => 2.4.2
2016-11-12 16:54 derick Target Version 2.4.2 => 2.5.0RC2
2016-11-12 16:55 derick Target Version 2.5.0RC2 => 2.5.0dev
2016-12-04 17:08 derick Status assigned => confirmed
2016-12-04 18:34 derick Target Version 2.5.0dev =>
2016-12-17 17:47 derick Target Version => 2.5.1
2016-12-17 17:47 derick Status confirmed => assigned
2016-12-17 19:19 derick Status assigned => closed
2016-12-17 19:19 derick Resolution open => fixed
2016-12-17 19:19 derick Fixed in Version => 2.5.1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker